server:
  port: 21002
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  datasource:
    datasync:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/data_sync?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
    tenant:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/obpm2?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
    tuoluojiang:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/tuoluojiang?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
    jvs:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/jvs?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
    yehuo:
      driver-class-name: com.mysql.cj.jdbc.Driver
      jdbc-url: jdbc:mysql://49.4.21.141:45611/yehuoim?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
      username: bcx
      password: Wstestv5qy#2022
  redis:
    host: 49.4.21.141 #地址
    port: 6328 #端口
    password: redis20240628
    timeout: 30000 # 连接超时时间（毫秒）
    database: 8 #默认数据库
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 10
        # 连接池的最大数据库连接数
        max-active: 200
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
  kafka:
    bootstrap-servers: 117.78.39.204:9092
    consumer:
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      auto-offset-reset: latest
      enable-auto-commit: false
    listener:
      ack-mode: manual_immediate
      concurrency: 2
    retry:
      topic:
        enabled: true
        delay: 2
        max-attempts: 3

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    default-executor-type: batch
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        sync: info
    org:
      springframework:
        security: DEBUG
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /Users/linchunpeng/Documents/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true

# 数据同步配置
sync-config:
  # 是否默认密码
  is-default-password: true
  # jvs主租户id
  jvs-main-id: 4354nqpL
  # 相关服务url地址
  api-host:
    # 本服务
    self: https://v5qy.te.baibaodun.com.cn/sync
    # 陀螺匠
    tuoluojiang: https://tuoluojiang.test.baibaodun.cn
    # v5图片服务
    image-server: https://v5qy.te.baibaodun.com.cn/obpm
    # v5域名
    v5: https://v5qy.te.baibaodun.com.cn
    # jvs
    jvs: https://document.jvs.baibaodun.com.cn/auth/just/callback
    # jvs回调地址
    jvs-oauth-callback: https://document.jvs.baibaodun.com.cn/auth/just/oauth2?stats=bcxtest&callbackUrl=https://document.jvs.baibaodun.com.cn/
  # oa审批模板
  oa-template:
    # 以这个企业id的oa模板进行同步
    entid: 99999999
  # 华为云监控配置
  huawei-ivm:
    host: https://api-ivm.myhuaweicloud.com
    user-id: 5994908220250519164352
    ak: 49b1d40f0870594e34e522db834233ca
    sk: 5f256aefd57261ae8fde307fd4547c6dcfc0cc9b091be83f0f90cb6a216bc96f
  # 回放视频存放地址-本地
  video-playback-save-path: /Users/linchunpeng/Downloads/
  # 回放视频存放地址-obs
  video-playback-save-obs-path: data/video/playback/
  # obs的cdn域名
  obs-cdn-url: https://02obs.baibaodun.cn/

# swagger 配置
swagger:
  #是否显示swagger true:显示  false:不显示
  enabled: true
